Subject: bug#921: [devuan-dev] bug#921: sane-utils: init script prompts for file removal when status is queried by nonroot user

From: Andrew Bower <[email-masked]>
Date: Mon, 3 Nov 2025 23:10:57 +0000

On Mon, Nov 03, 2025 at 11:55:20PM +0100, Alexander Rehbein wrote:
>    yes I could look into it (not that experienced with all the workflows/I'll
>    have to look things up first).

Alexander, I'll be happy to support you on the Debian bug when the time
comes if you need it (I wrote the saned integration for runit-services
and contributed a fix upstream to help with daemon management and
cleanup)! (X-Debbugs-CC: is a handy way to involve someone else.)

>    I don't completely understand though... it seemed to me like Debian wasn't
>    supporting SysVInit anymore, so are they even thinking about putting any
>    work into fixing init scripts? It doesn't look like they care really,

It's not quite like that. Mark maintains sysvinit in Debian so at least
one person cares! It's not compulsory for maintainers to maintain
initscripts but many do and we shouldn't assume hostility. They may not
even realise there are users for them and it often just needs users to
contribute to maintaining them. I had some improvements accepted days
ago for a package that at one point had removed them.

> at
>    least for saned I have also noticed that statuses aren't reported
>    correctly when running `service --status-all` without any root privilege.
>    And I think some other things also weren't working correctly, like some
>    scripts wouldn't work but return 0 without root or something among those
>    lines.

A lot of the initscripts are pretty horrendous... or at least are
overcomplicated by predating improvements that can make them easier to
write well.